Last Comment Bug 803630 - Remove the UI for reflow-on-zoom setting
: Remove the UI for reflow-on-zoom setting
Status: RESOLVED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: 18 Branch
: ARM Android
: -- normal (vote)
: ---
Assigned To: Scott Johnson (:jwir3)
:
: Sebastian Kaspari (:sebastian)
Mentors:
Depends on:
Blocks: 799492
  Show dependency treegraph
 
Reported: 2012-10-19 11:24 PDT by Mark Finkle (:mfinkle) (use needinfo?)
Modified: 2013-01-14 12:36 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
verified
affected


Attachments
b803630 (4.03 KB, patch)
2012-10-19 15:28 PDT, Scott Johnson (:jwir3)
mark.finkle: review+
Details | Diff | Splinter Review
b803630-aurora (4.03 KB, patch)
2012-10-19 16:35 PDT, Scott Johnson (:jwir3)
jaywir3: review+
bajaj.bhavana: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Mark Finkle (:mfinkle) (use needinfo?) 2012-10-19 11:24:29 PDT
Since we don't want to ship the reflow-on-zoom feature for Fx18, lets remove the UI for the preference and leave it defaulted off.

This is a patch for Fx18 (Aurora)
Comment 1 Scott Johnson (:jwir3) 2012-10-19 15:28:28 PDT
Created attachment 673455 [details] [diff] [review]
b803630
Comment 2 Mark Finkle (:mfinkle) (use needinfo?) 2012-10-19 16:16:16 PDT
Comment on attachment 673455 [details] [diff] [review]
b803630

looks good to me
Comment 3 Mark Finkle (:mfinkle) (use needinfo?) 2012-10-19 16:17:31 PDT
Comment on attachment 673455 [details] [diff] [review]
b803630

Ask for aurora approval. I think we only want to land this on aurora, which might mean a slightly different patch due to bitrot.
Comment 4 Scott Johnson (:jwir3) 2012-10-19 16:35:39 PDT
Created attachment 673477 [details] [diff] [review]
b803630-aurora

[Approval Request Comment]
Bug caused by (feature/regressing bug #): Bug 795932
User impact if declined: User-facing preference that is not internationalize-able, and also is not ideal from a UX perspective. The feature the preference controls should not be easily accessible in beta, since it's not yet stable, and so we're disabling the user-facing preference for it. 
Testing completed (on m-c, etc.): no testing necessary - this is simply the removal of a string that is currently non-l10n-ideal and the preference that uses it.
Risk to taking this patch (and alternatives if risky): very low risk
String or UUID changes made by this patch: removal of a string that would otherwise be difficult to translate/internationalize

Same patch, but updated to reflect the state of the aurora tree.
Comment 5 bhavana bajaj [:bajaj] 2012-10-24 10:07:42 PDT
Comment on attachment 673477 [details] [diff] [review]
b803630-aurora

Approving for aurora as this is low risk UI backout of a feature not ready for FF18 yet
Comment 6 Scott Johnson (:jwir3) 2012-10-25 13:03:17 PDT
Pushed to aurora:
https://hg.mozilla.org/releases/mozilla-aurora/rev/ddd4b27cd64f
Comment 7 Alex Keybl [:akeybl] 2012-11-19 15:08:50 PST
We're ready to take this change again on FF19.
Comment 8 Paul Feher 2012-11-21 00:31:12 PST
Verified on:
Build ID: 18.0 (2012-11-19) Aurora Channel
Device: Samsung  Galaxy R
OS: Android 2.3.4
Comment 9 Scott Johnson (:jwir3) 2012-11-21 14:52:52 PST
akeybl, you pinged me about this today, and I just realized that the string was changed from "Enable Reflow On Zoom" to "Pinch to reflow text". Are we still looking to remove this setting string? 

It is possible that this feature will be available in FF19, depending on tweaks that happen in the next couple of weeks (bug 800805 and bug 803719). 

I can remove it on aurora, I just want to make sure that this is what we want to do.
Comment 10 Mark Finkle (:mfinkle) (use needinfo?) 2012-11-21 16:44:21 PST
(In reply to Scott Johnson (:jwir3) from comment #9)

> It is possible that this feature will be available in FF19, depending on
> tweaks that happen in the next couple of weeks (bug 800805 and bug 803719). 

I thought that the feature would be "always on", eventually. That we would use it as a fallback for when font-inflation didn't get the results we wanted. I'm assuming that we would want to remove the UI setting at that time.

Do we want this setting available in Aurora (Fx 19)? Or would we want the "always on" case to be the default in Fx 19?
Comment 11 Scott Johnson (:jwir3) 2012-11-26 13:41:47 PST
(In reply to Mark Finkle (:mfinkle) from comment #10)
> (In reply to Scott Johnson (:jwir3) from comment #9)
> 
> > It is possible that this feature will be available in FF19, depending on
> > tweaks that happen in the next couple of weeks (bug 800805 and bug 803719). 
> 
> I thought that the feature would be "always on", eventually. That we would
> use it as a fallback for when font-inflation didn't get the results we
> wanted. I'm assuming that we would want to remove the UI setting at that
> time.

Well, I think that we should have it on by default when we first ship it (I think the target is FF19), but still keep the option for users who may find it difficult to use and thus want to turn it off. Perhaps subsequent releases could then have it always on, but my recommendation would be to have it on by default with an option to disable it (perhaps only in about:config).

> Do we want this setting available in Aurora (Fx 19)? Or would we want the
> "always on" case to be the default in Fx 19?

I think our target is FF19, yes, but it really depends on bug 803719 and 800805, which I'm currently working on.
Comment 12 Alex Keybl [:akeybl] 2012-12-04 10:48:56 PST
I don't have an opinion here - just trying to follow up and make sure the product is in the shape that product/engineering expect. Please discuss with mfinkle/karen as necessary.
Comment 13 Alex Keybl [:akeybl] 2013-01-07 17:26:48 PST
(In reply to Mark Finkle (:mfinkle) from comment #10)
> Do we want this setting available in Aurora (Fx 19)? Or would we want the
> "always on" case to be the default in Fx 19?

Can we come to consensus here? Firefox 19 is now on beta.
Comment 14 Mark Finkle (:mfinkle) (use needinfo?) 2013-01-08 06:29:11 PST
Given the situation and where the trains are, I think we'll continue to let the visible setting stay in the product until the feature is working well enough to leave it "always on" and we can then remove the setting.

For now, that would ride the trains, so no new action is needed. This only landed on Fx18 and that's fine.

Note You need to log in before you can comment on or make changes to this bug.